:: Copyright 2014, by the California Institute of Technology.
:: ALL RIGHTS RESERVED. United States Government Sponsorship acknowledged.
:: Any commercial use must be negotiated with the Office of Technology Transfer
:: at the California Institute of Technology.
::
:: This software is subject to U. S. export control laws and regulations
:: (22 C.F.R. 120-130 and 15 C.F.R. 730-774). To the extent that the software
:: is subject to U.S. export control laws and regulations, the recipient has
:: the responsibility to obtain export licenses or other export authority as
:: may be required before exporting such information to foreign countries or
:: providing access to foreign nationals.
::
:: $Id: storage-query.bat 12864 2014-03-14 22:18:59Z mcayanan $

:: Batch file that allows easy execution of the Storage Service Query
:: Tool without the need to set the CLASSPATH or having to type in that long java
:: command (java org.apache.oodt.cas.filemgr.tools.QueryTool ...)

:: Expects the File Manager Query Tool jar file to be in the ../lib directory.

@echo off

:: Check if the JAVA_HOME environment variable is set.
if not defined JAVA_HOME (
echo The JAVA_HOME environment variable is not set.
goto END
)

:: Setup environment variables.
set SCRIPT_DIR=%~dps0
set FILEMGR_HOME=%SCRIPT_DIR%..
set FILEMGR_URL=http://localhost:9000

:: Execute the application.
"%JAVA_HOME%"\bin\java -Djava.ext.dirs="%FILEMGR_HOME%"\lib org.apache.oodt.cas.filemgr.tools.QueryTool --url %FILEMGR_URL% %*

:END